Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface MutablePortlet

All Known Subinterfaces:
  MutableMobilePortlet, MutablePortletXtra2, MutablePortletXtra3

public interface MutablePortlet
extends Portlet

Defines a Portlet whose meta-data values can be set. This interface is provided so that Portlets can be described declaratively. A provider reads the declarative information and pushes the Portlet's meta-data into the instance using these methods.

Method Summary
`void` | `addAcceptContentType(java.lang.String type)` Adds to the set of mime-types (represented as Strings) that this Portlet can render.
`void` | `addInputParameter(java.lang.Object parameter)` Adds to the array of (input) parameters that this portlet recognizes when requested to render to control/affect the rendering.
`void` | `setDefaultLocale(java.lang.String lang)` Sets the default Locale for this Portal
`void` | `setDescription(java.lang.String description)` Sets the Portlet description.
`void` | `setHasAbout(java.lang.String hasAbout)` Controls whether this Portlet displays about information.
`void` | `setHasHelp(java.lang.String hasHelp)` Controls whether this Portlet displays help information.
`void` | `setId(java.lang.String id)` Sets the Portlet unique ID.
`void` | `setName(java.lang.String name)` Sets the Portlet name.
`void` | `setPersonalizationManager(java.lang.Object mgr)` Sets the Portlet personalization manager.
`void` | `setRenderer(java.lang.Object renderer)` Sets the Portlet renderer.
`void` | `setResource(java.lang.String resourceClassName)` Sets the name of the default resource bundle class for this Portlet
`void` | `setSecurityManager(java.lang.Object mgr)` Sets the Portlet security manager.
`void` | `setShowDetails(java.lang.String hasDetails)` Controls whether this Portlet displays "detailed" mode.
`void` | `setShowEdit(java.lang.String canEdit)` Controls whether this Portlet supports per user personalization.
`void` | `setShowEditDefault(java.lang.String canEditDefault)` Controls whether this Portlet supports per portlet customization.
`void` | `setShowEditToPublic(java.lang.String canEdit)` Deprecated. use MutablePortletXtra3.setMinEditAuthLevel()
`void` | `setShowPreview(java.lang.String canPreview)` Controls whether this Portlet is capable of displaying a design-time preview of itself (after customization or personalization).
`void` | `setTimeout(java.lang.String timeout)` Sets the number of seconds the portal should wait before timing out a request to this portlet.
`void` | `setTimeoutMessage(java.lang.String msg)` Sets the timeout messsage that the portal should use in its response when a request to this Portlet times out.
`void` | `setTitle(java.lang.String title)` Sets the Portlet title.

Methods inherited from interface oracle.portal.provider.v1.Portlet
`getAcceptContentTypes, getDefaultLocale, getDescription, getId, getInputParameters, getName, getPersonalizationManager, getProvider, getRenderer, getResourceBundle, getSecurityManager, getShowEditToPublic, getTimeout, getTimeoutMessage, getTitle, hasAbout, hasHelp, hasShowDetails, hasShowEdit, hasShowEditDefault, hasShowPreview, init`

Method Detail

### setSecurityManager

    public void setSecurityManager(java.lang.Object mgr)
                            throws PortletException

  Sets the Portlet security manager.
  Parameters:
    `mgr` - Object implementing the `PortletSecurityManager` interface.
  Throws:
    PortletException - if the given Object is not a valid `PortletSecurityManager`

### setPersonalizationManager

    public void setPersonalizationManager(java.lang.Object mgr)
                                   throws PortletException

  Sets the Portlet personalization manager.
  Parameters:
    `mgr` - Object implementing the `PortletPersonalizationManager` interface.
  Throws:
    PortletException - if the given Object is not a valid `PortletPersonalizationManager`

### setRenderer

    public void setRenderer(java.lang.Object renderer)
                     throws PortletException

  Sets the Portlet renderer.
  Parameters:
    `renderer` - Object implementing the `PortletRenderer` interface.
  Throws:
    PortletException - if the given Object is not a valid `PortletRenderer`

### setName

    public void setName(java.lang.String name)

  Sets the Portlet name.
  Parameters:
    `name` - the Portlet name. This is the Portlet's non-unique display name.

### setId

    public void setId(java.lang.String id)
               throws PortletException

  Sets the Portlet unique ID.
  Parameters:
    `id` - the Portlet (unique ID). Value should be a String representation of a long value, unique with respect to the Provider.
  Throws:
    PortletException - if the given String does not represent a valid `long`.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the Portlet title.
  Parameters:
    `title` - the title of this Portlet. This is the name that shows up in a portlet's title bar.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the Portlet description.
  Parameters:
    `description` - a short description of what this portlet is. Displayed at design-time along with the name and thumbnail image when a user is choosing to add a portlet to a page.

### addInputParameter

    public void addInputParameter(java.lang.Object parameter)
                           throws PortletException

  Adds to the array of (input) parameters that this portlet recognizes when requested to render to control/affect the rendering.
  Parameters:
    `parameter` - Object implementing the `PortletParameter` interface.
  Throws:
    PortletException - if the given Object is not a valid `PortletParameter`

### addAcceptContentType

    public void addAcceptContentType(java.lang.String type)

  Adds to the set of mime-types (represented as Strings) that this Portlet can render.
  Parameters:
    `type` - mime-type String, e.g. "text/html" or "text/xml".

### setTimeout

    public void setTimeout(java.lang.String timeout)
                    throws PortletException

  Sets the number of seconds the portal should wait before timing out a request to this portlet.
  Parameters:
    `timeout` - timeout period, as a String representation of an integer number of seconds.
  Throws:
    PortletException - if the given String does not represent a valid `int`.

### setTimeoutMessage

    public void setTimeoutMessage(java.lang.String msg)

  Sets the timeout messsage that the portal should use in its response when a request to this Portlet times out.
  Parameters:
    `msg` - timeout message.

### setShowEdit

    public void setShowEdit(java.lang.String canEdit)

  Controls whether this Portlet supports per user personalization.
  Parameters:
    `canEdit` - String representation of boolean value. Should be "true" if this Portlet is to support per user personalization, "false" otherwise.

### setShowEditToPublic

    public void setShowEditToPublic(java.lang.String canEdit)

  Deprecated. use MutablePortletXtra3.setMinEditAuthLevel()

  Controls whether this Portlet exposes per user personalization to the public non-logged in user.
  Parameters:
    `canEdit` - String representation of boolean value. Should be "true" if this Portlet exposes per user personalization to the public non-logged in user, "false" otherwise.

### setShowEditDefault

    public void setShowEditDefault(java.lang.String canEditDefault)

  Controls whether this Portlet supports per portlet customization. Per portlet customizations means that all users of this instance see a customized version of the portlet vs. the generic version. Users are then free to further personalize this instance (via showEdit).
  Parameters:
    `canEditDefault` - String representation of boolean value. Should be "true" if this Portlet supports per portlet customization, "false" otherwise.

### setShowPreview

    public void setShowPreview(java.lang.String canPreview)

  Controls whether this Portlet is capable of displaying a design-time preview of itself (after customization or personalization).
  Parameters:
    `canPreview` - String representation of boolean value. Should be "true" if this Portlet is capable of displaying a design-time preview of itself (after customization or personalization), or "false" otherwise.

### setShowDetails

    public void setShowDetails(java.lang.String hasDetails)

  Controls whether this Portlet displays "detailed" mode. Detailed mode is a full page mode where this portlet is expected to display a finer level of information.
  Parameters:
    `hasDetails` - String representation of boolean value. Should be "true" if this Portlet is capable of displaying a "detailed" mode, or "false" otherwise.

### setHasHelp

    public void setHasHelp(java.lang.String hasHelp)

  Controls whether this Portlet displays help information.
  Parameters:
    `hasHelp` - String representation of boolean value. Should be "true" if this Portlet is capable of displaying a help information, or "false" otherwise.

### setHasAbout

    public void setHasAbout(java.lang.String hasAbout)

  Controls whether this Portlet displays about information.
  Parameters:
    `hasAbout` - String representation of boolean value. Should be "true" if this Portlet is capable of displaying about information, or "false" otherwise.

### setResource

    public void setResource(java.lang.String resourceClassName)

  Sets the name of the default resource bundle class for this Portlet
  Parameters:
    `resourceClassName` - full name of class extending `ResourceBundle`.

### setDefaultLocale

    public void setDefaultLocale(java.lang.String lang)

  Sets the default Locale for this Portal
  Parameters:
    `lang` - a String specifying a Locale, in the form "language.country".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD